Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1948404

Summary: F35FailsToInstall: python3-hdmf
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-hdmfAssignee: Luis Bazan <bazanluis20>
Status: CLOSED CURRENTRELEASE QA Contact: Ankur Sinha (FranciscoD) <sanjay.ankur>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 35CC: bazanluis20, neuro-sig, sanjay.ankur
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-hdmf-3.1.1-1.fc35 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-08-16 19:35:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1927313, 1948573, 1992487    

Description Miro Hrončok 2021-04-12 06:52:56 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-hdmf) Fails To Install in Fedora 35:

can't install python3-hdmf:
  - nothing provides (python3.9dist(h5py) < 3 with python3.9dist(h5py) >= 2.9) needed by python3-hdmf-2.4.0-2.fc35.noarch
  - nothing provides (python3.9dist(numpy) < 1.19.4 with python3.9dist(numpy) >= 1.16) needed by python3-hdmf-2.4.0-2.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ankur Sinha (FranciscoD) 2021-04-12 11:08:49 UTC
hdmf does not yet support h5py 3.x. This is being worked on upstream: https://github.com/hdmf-dev/hdmf/issues/458

Comment 2 Ankur Sinha (FranciscoD) 2021-04-19 17:38:09 UTC
There's a PR in progress here, as soon as it's merged, we can build the snapshot to fix this.

https://github.com/hdmf-dev/hdmf/pull/480

Comment 3 Ben Cotton 2021-08-10 12:58:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 4 Ankur Sinha (FranciscoD) 2021-08-16 19:35:01 UTC
Should be fixed now.